%define upstream_name Pod-Markdown-Github
%define upstream_version 0.04
%{?perl_default_filter}

Name:       perl-%upstream_name
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Convert POD to Github's specific markdown
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        http://search.cpan.org/dist/Pod-Markdown-Github/
Source0:    http://www.cpan.org/authors/id/M/MI/MINIMAL/Pod-Markdown-Github-%{upstream_version}.tar.gz
BuildArch:  noarch
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: make
# Run-time:

# Tests:

# Test::Pod 1.41 not used

%description
Github flavored markdown allows for syntax highlighting using three
backticks. This Perl module inherits from Pod::Markdown and adds those
backticks and an optional language identifier.

%prep
%setup -q -n Pod-Markdown-Github-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_bindir}/pod2github
%{_mandir}/man1/pod2github.*
%{_mandir}/man3/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.40.0-2.mga8
+ Revision: 1523005
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 0.40.0-1.mga7
+ Revision: 1367275
- use %%perl_convert_version

* Fri Jan 25 2019 tv <tv> 0.04-1.mga7
+ Revision: 1360629
- update to 0.04
- use upstream_name

* Thu Sep 20 2018 umeabot <umeabot> 0.03-2.mga7
+ Revision: 1285741
- Mageia 7 Mass Rebuild

* Fri Jan 26 2018 tv <tv> 0.03-1.mga7
+ Revision: 1197238
- BR perl(Test::Differences)
- new release

* Wed Oct 04 2017 tv <tv> 0.01-1.mga7
+ Revision: 1168425
- imported package perl-Pod-Markdown-Github


* Wed Oct 04 2017 Thierry Vignaud <tv@mageia.org> 0.01-1.mga7
- import from FC

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-2
- Perl 5.26 rebuild

* Thu Mar 23 2017 Petr Pisar <ppisar@redhat.com> 0.01-1
- Specfile autogenerated by cpanspec 1.78.
